# Uses of Interface
org.eclipse.debug.core.model.IStackFrame

Packages that use IStackFrame
Package
Description
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.core.sourcelookup
Provides support for source lookup.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.

## Uses of IStackFrame in org.eclipse.debug.core.model

Methods in org.eclipse.debug.core.model that return IStackFrame
Modifier and Type
Method
Description
`IStackFrame[]`
IThread.`getStackFrames()`
Returns the stack frames contained in this thread.
`IStackFrame`
IThread.`getTopStackFrame()`
Returns the top stack frame or `null` if there is currently no top stack frame.
Methods in org.eclipse.debug.core.model with parameters of type IStackFrame
Modifier and Type
Method
Description
`Object`
ISourceLocator.`getSourceElement(IStackFrame stackFrame)`
Returns a source element that corresponds to the given stack frame, or `null` if a source element could not be located.

## Uses of IStackFrame in org.eclipse.debug.core.sourcelookup

Methods in org.eclipse.debug.core.sourcelookup with parameters of type IStackFrame
Modifier and Type
Method
Description
`Object`
AbstractSourceLookupDirector.`getSourceElement(IStackFrame stackFrame)`

## Uses of IStackFrame in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IStackFrame
Modifier and Type
Method
Description
`boolean`
IDebugEditorPresentation.`addAnnotations(IEditorPart editorPart, IStackFrame frame)`
Positions and adds annotations to the given editor for the specified stack frame and returns whether any annotations were added.
`Annotation`
IInstructionPointerPresentation.`getInstructionPointerAnnotation(IEditorPart editorPart, IStackFrame frame)`
Returns an annotation used for the specified stack frame in the specified editor, or `null` if a default annotation should be used.
`String`
IInstructionPointerPresentation.`getInstructionPointerAnnotationType(IEditorPart editorPart, IStackFrame frame)`
Returns an identifier of a `org.eclipse.ui.editors.annotationTypes` extension used for the specified stack frame in the specified editor, or `null` if a default annotation should be used.
`Image`
IInstructionPointerPresentation.`getInstructionPointerImage(IEditorPart editorPart, IStackFrame frame)`
Returns the instruction pointer image used for the specified stack frame in the specified editor, or `null` if a default image should be used.
`String`
IInstructionPointerPresentation.`getInstructionPointerText(IEditorPart editorPart, IStackFrame frame)`
Returns the text to associate with the instruction pointer annotation used for the specified stack frame in the specified editor, or `null` if a default message should be used.